Greenbone Vulnerability Management Libraries: base/logging_tests.c File Reference

Greenbone Vulnerability Management Libraries 23.7.0

Functions
logging_tests.c File Reference
`#include "logging.c"`
`#include <cgreen/cgreen.h>`
`#include <cgreen/mocks.h>`
`#include <fcntl.h>`
`#include <glib/gstdio.h>`

## Functions
| Describe (logging)
| BeforeEach (logging)
| AfterEach (logging)
| Ensure (logging, validate_check_log_file)
| Ensure (logging, should_convert_level_int_from_string)
| Ensure (logging, should_convert_facility_int_from_string)
| Ensure (logging, should_load_log_configuration)
static void | mock_log_func (const gchar *log_domain, GLogLevelFlags log_level, const gchar *message, gpointer user_data)
static void | mock_default_log_func (const gchar *log_domain, GLogLevelFlags log_level, const gchar *message, gpointer user_data)
static void | mock_default_domain_log_func (const gchar *log_domain, GLogLevelFlags log_level, const gchar *message, gpointer user_data)
| Ensure (logging, should_setup_log_handlers_with_default_handler)
| Ensure (logging, should_setup_log_handlers_with_default_domain_handler)
| Ensure (logging, should_setup_log_handlers_with_domain_handler)
| Ensure (logging, should_get_time_for_null)
static TestSuite * | logging_test_suite ()
int | main (int argc, char **argv)

## Function Documentation

## ◆ AfterEach()

AfterEach | ( | logging |  | ) |

## ◆ BeforeEach()

BeforeEach | ( | logging |  | ) |

## ◆ Describe()

Describe | ( | logging |  | ) |

## ◆ Ensure() [1/8]

Ensure | ( | logging | ,
|  | should_convert_facility_int_from_string | )

## ◆ Ensure() [2/8]

Ensure | ( | logging | ,
|  | should_convert_level_int_from_string | )

## ◆ Ensure() [3/8]

Ensure | ( | logging | ,
|  | should_get_time_for_null | )

## ◆ Ensure() [4/8]

Ensure | ( | logging | ,
|  | should_load_log_configuration | )

## ◆ Ensure() [5/8]

Ensure | ( | logging | ,
|  | should_setup_log_handlers_with_default_domain_handler | )

## ◆ Ensure() [6/8]

Ensure | ( | logging | ,
|  | should_setup_log_handlers_with_default_handler | )

## ◆ Ensure() [7/8]

Ensure | ( | logging | ,
|  | should_setup_log_handlers_with_domain_handler | )

## ◆ Ensure() [8/8]

Ensure | ( | logging | ,
|  | validate_check_log_file | )

## ◆ logging_test_suite()

TestSuite * logging_test_suite | ( |  | ) |
| static

## ◆ main()

int main | ( | int | argc,
|  | char ** | argv )

## ◆ mock_default_domain_log_func()

void mock_default_domain_log_func | ( | const gchar * | log_domain,
|  | GLogLevelFlags | log_level,
|  | const gchar * | message,
|  | gpointer | user_data )
| static

## ◆ mock_default_log_func()

void mock_default_log_func | ( | const gchar * | log_domain,
|  | GLogLevelFlags | log_level,
|  | const gchar * | message,
|  | gpointer | user_data )
| static

## ◆ mock_log_func()

void mock_log_func | ( | const gchar * | log_domain,
|  | GLogLevelFlags | log_level,
|  | const gchar * | message,
|  | gpointer | user_data )
| static